#ifndef __BOILERPLATE_WINDOW_H__
#define __BOILERPLATE_WINDOW_H__

#include <gtk/gtk.h>

#include "boilerplate-application.h"

G_BEGIN_DECLS

#define BOILERPLATE_TYPE_WINDOW (boilerplate_window_get_type ())

G_DECLARE_FINAL_TYPE (BoilerplateWindow, boilerplate_window, BOILERPLATE, WINDOW, GtkApplicationWindow)

struct _BoilerplateWindow {
    GtkApplicationWindow parent_instance;
};

GType boilerplate_window_get_type (void) G_GNUC_CONST;

BoilerplateWindow *
boilerplate_window_new (BoilerplateApplication *);

static void
boilerplate_window_init (BoilerplateWindow *);
static void
boilerplate_window_class_init (BoilerplateWindowClass *);

static void
boilerplate_window_finalize (GObject *);
static void
boilerplate_window_set_property (GObject      *,
                                 guint         ,
                                 const GValue *,
                                 GParamSpec   *);
static void
boilerplate_window_get_property (GObject    *,
                                 guint       ,
                                 GValue     *,
                                 GParamSpec *);

static void
boilerplate_window_toggle_csd (BoilerplateWindow *,
                               gboolean);
static void
boilerplate_window_toggle_csd_appearance (BoilerplateWindow *,
                                          gboolean);

void
boilerplate_window_set_csd (BoilerplateWindow *,
                            gboolean);
gboolean
boilerplate_window_get_csd (BoilerplateWindow *);

G_END_DECLS

#endif /* __BOILERPLATE_WINDOW_H__ */
