#include "config.h"

#include <gtk/gtk.h>
#include <glib/gi18n.h>

#include "boilerplate-log.h"
#include "boilerplate-application.h"

int
main (int    argc,
      char **argv)
{
    BoilerplateApplication *application;
    int status;

    //TODO: Enable gettext ()
    /*
    bindtextdomain (GETTEXT_PACKAGE, DATADIR "/locale");
    bind_textdomain_codeset (GETTEXT_PACKAGE, "UTF-8");
    textdomain (GETTEXT_PACKAGE);
    */
    g_set_prgname (PACKAGE);

    application = boilerplate_application_new ();
    status = g_application_run (G_APPLICATION (application), argc, argv);
    g_object_unref (application);

    return status;
}
